#61 use system Perl::Tidy

Next Release
closed
nobody
None
1
2016-07-01
2006-09-27
No

Feature request to have an option (in "source
formatter" configuration dialog) to use the system
version of Perl::Tidy, instead of the one bundled with
EPIC.

Perl::Tidy is a large product, with bugs being fixed
and features added. Sometimes it is necessary to use
another version of Perl::Tidy than one bundled with
EPIC, or desirable to upgrade Perl::Tidy with, e.g., CPAN.
Currently to do this one need to manually replace files
in .metadata\.plugins\org.epic.perleditor\perlutils,
after they've been extracted there by EPIC.

Discussion

  • Artem Grinblat

    Artem Grinblat - 2006-09-27
    • priority: 5 --> 1
     
  • Oliver Trosien

    Oliver Trosien - 2016-05-15

    @jploski I would rather try to regularly update Perl::Tidy when releasing new versions of epic. Current epic ships Perl::Tidy 20071205, while current Perl::Tidy is 20160302.

     
  • Oliver Trosien

    Oliver Trosien - 2016-05-16

    @jploski although it is arguably inconsistent to ship perltidy while not shipping perlcritic and arguably intransparent to the user (.. on purpose, maybe) where the perltidy in use is coming from.

     
  • Oliver Trosien

    Oliver Trosien - 2016-07-01
    • status: open --> closed
    • Group: --> Next Release
     
  • Oliver Trosien

    Oliver Trosien - 2016-07-01

    Fixed: We decided to upgrade perltidy with the latest release, (shipped with 0.7.2)

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks